# Created by pyp2rpm-3.3.5
%global pypi_name azure-identity

Name:           python-%{pypi_name}
Version:        1.17.1
Release:        %mkrel 3
Summary:        Microsoft Azure Identity Library for Python
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-sdk-for-python/tree/master/sdk/identity/azure-identity
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Azure Identity simplifies
authentication across the Azure SDK. It supports token authentication using an
Azure Active Directory.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Azure Identity simplifies
authentication across the Azure SDK. It supports token authentication using an
Azure Active Directory.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.17.1-3.mga10
+ Revision: 2242656
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 1.17.1-2.mga10
+ Revision: 2159603
- rebuild for python3.13

* Sun Dec 15 2024 papoteur <papoteur> 1.17.1-1.mga10
+ Revision: 2125502
- new version 1.17.1
- new version 1.16.0

* Fri Feb 23 2024 papoteur <papoteur> 1.15.0-1.mga10
+ Revision: 2043609
- relax reqs
- rebuild for python 3.12
- new version 1.15.0
- Mass Rebuild - Python 3.12

* Thu Jul 14 2022 papoteur <papoteur> 1.10.0-1.mga9
+ Revision: 1868848
- imported package python-azure-identity

